%define name	pidgin-convcharcount-plugin
%define version	2.4.1
%define release 1%{?dist}

Summary: Conv. char. counting plugin for Pidgin
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://static.panoptic.com/pidgin/%{name}-%{version}.tar.gz
Vendor: Panoptic Computer Network
URL: http:://dossy.org/
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-%{_target_cpu}-buildroot

BuildRequires:  wget, bzip2
BuildRequires:	automake >= 1.10
BuildRequires:	perl-XML-Parser, gettext, glib2-devel, gtk2-devel
BuildRequires:	libxml2-devel >= 2.6.0 

Requires:	pidgin >= 2.3.0

%description
Conversation character counting plugin for Pidgin

%prep
%setup -q -D

%build
if [ ! -d pidgin-%{version} ]; then
	if [ ! -f pidgin-%{version}.tar.bz2 ]; then
		wget -c http://downloads.sourceforge.net/pidgin/pidgin-%{version}.tar.bz2
	fi
	bzip2 -dc pidgin-%{version}.tar.bz2 | tar xvf -
fi

cd pidgin-%{version}
if [ ! -f ../patched-stamp ]; then
	patch -p1 < ../pidgin-convcharcount-plugin-patch.txt 
	rm pidgin/plugins/Makefile.in
	touch ../patched-stamp
fi
if [ ! -f pidgin/plugins/Makefile.in ]; then
	automake pidgin/plugins/Makefile
fi

%configure
cd pidgin/plugins && make convcharcount.la

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pidgin
install -m775 pidgin-%{version}/pidgin/plugins/.libs/convcharcount.so \
	$RPM_BUILD_ROOT%{_libdir}/pidgin/convcharcount.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dump
%{_libdir}/pidgin/convcharcount.so

%changelog
* Thu Apr 10 2008 Dossy Shiobara <dossy@panoptic.com>
- First draft of the spec file
